function flipCard() {
  const card = document.querySelector('.word-card');
  card.classList.toggle('flipped');
}

function nextCard() {
  const card = document.querySelector('.word-card');
  if (card.classList.contains('flipped')) {
    card.classList.remove('flipped');
  }
  // Here you would typically fetch and display a new word
  // For now, we'll just toggle the content
  const front = card.querySelector('.card-front h3');
  const back = card.querySelector('.card-back p');
  const words = [
    { word: "Ephemeral", definition: "Lasting for a very short time" },
    { word: "Quintessential", definition: "Representing the most perfect or typical example of a quality or class" },
    { word: "Serendipity", definition: "The occurrence of events by chance in a happy or beneficial way" }
  ];
  const randomWord = words[Math.floor(Math.random() * words.length)];
  front.textContent = randomWord.word;
  back.textContent = randomWord.definition;
}